3D Viewer: cannot tilt camera holding down shift when docked

2017-10-26 03:19 PM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25234

Description

"tilt camera by pressing Shift and dragging the mouse with left mouse button pressed" does not work when the 3D view is docked (as

discussed in https://github.com/qgis/QGIS-Enhancement-Proposals/issues/105).

When I undock the view, it starts working, redocking breaks it again.

Tilting using the middle mouse button works always.

Tested using OSGeo4W.

Associated revisions

Revision 32504c48 - 2018-01-01 10:28 PM - Martin Dobias

[3d] Fix tilting of camera in docked 3D view with Shift (fixes #17337)

This reverts a6b0c44

Map canvas was stealing keyboard focus from the docked 3D view and the key presses

of modifiers were not passed to the 3D view.

History

#1 - 2017-10-26 03:19 PM - Anita Graser

- Subject changed from 3D Viewer:  to 3D Viewer: cannot tilt camera holding down shift when docked

#2 - 2018-01-01 10:28 PM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|32504c48d7f453a426545fddff553372da502b44.

#3 - 2018-02-22 11:14 AM - Giovanni Manghi

- Resolution set to fixed/implemented
